package Figures;
import java.awt.Color;

public class Line extends Figure {
	int x1,y1,x2,y2;
	
	Line(Color c, int X1, int Y1, int X2, int Y2)
	{
		setColor(c);
		x1 = X1; y1 = Y2; x2 = X2; y2 = Y2;
	}
	
	public void Move(int dx, int dy)
	{
		x1 += dx; x2 += dx;
		y1 += dy; y2 += dy;
	}
	
	public void Draw(ImageViewer v)
	{
		v.setColor(col);
		v.line(x1,y1,x2,y2);
	}

}
