package FiguresNoOOP;
import java.awt.Color;

public class Figure {
	Figure next; //  fr Liste
	int typ; // 0: Rechteck, 1: Kreis
	Color col = Color.black;
	int x,y,w,h,r; 	// Parameter fr jede mgliche Figur (Kreis / Rechteck)
	
	public Figure(int Typ, Color Col, int X,int Y, int W, int H, int R)
	{
		x = X; y = Y; w = W; h = H; r = R; col = Col;
		typ = Typ;
	}
	
	public void setPosition(int ox, int oy)
	{
		x = ox; y = oy;
	}
	
	private void DrawRectangle(ImageViewer v)
	{
		v.line(x,y,x+w-1,y);
		v.line(x,y,x,y+h-1);
		v.line(x+w-1,y,x+w-1,y+h-1);
		v.line(x,y+h-1,x+w-1,y+h-1);
	}
	private void DrawCircle(ImageViewer v)
	{
		v.ellipse(x,y,r,r);
	}
	
	public void Draw(ImageViewer v)
	{
		v.setColor(col);
		if (typ == 0)
			DrawRectangle(v);
		else
			DrawCircle(v);
		v.repaint();
	}
	
	public void Move(int dx, int dy)
	{
		x += dx; y += dy;
	}
	
	public void setNext(Figure nxt)
	{
		next = nxt;
	}
	
	
}
