package FiguresNoOOP;

public class FigureList {
	Figure first = null, last = null;
	
	public void Add(Figure f)
	{
		if (last == null)
			first = f;
		else
			last.setNext(f);
		last = f;
	}
	
	public void Draw(ImageViewer v)
	{
		for (Figure f = first; f != null; f = f.next)
			f.Draw(v);
	}
	
	public void Move(int dx, int dy)
	{
		for (Figure f = first; f != null; f = f.next)
			f.Move(dx,dy);
	}
}
